<template>
	<view class="order-item" v-if="order.extend_store">
		<view class="order-title">
			<view class="store-info">
				<image :src="order.extend_store.store_avatar"></image>
				<view class="store-name">{{ order.extend_store.store_name }}</view>
			</view>
			<view class="order-status">{{ state }}</view>
		</view>
		<view class="goods-info">
			<view class="goods-item" @click="toOtherPage('Details')" v-for="goods in order.extend_order_goods" :key="goods.goods_id">
				<image :src="goods.goods_image"></image>
				<view class="goods-text">
					<view class="goods-name u-line-2">{{ goods.goods_name }}</view>
					<view class="goods-sku u-line-1" v-if="order.order_state !== 20 && order.order_state !== 40 && goods.goods_spec">{{ goods.goods_spec | concatSpec }}</view>
					<!-- <view class="goods-time u-line-1" v-if="order.view_type == 1">结束时间：{{ order.end_time | date('yyyy-mm-dd hh:MM') }}</view> -->
					<view class="goods-price u-line-1" v-if="order.order_state == 20 || order.order_state == 40">总价：￥{{ goods.goods_price }}，实付款￥{{ goods.goods_pay_price }}</view>
					<view class="goods-date" v-if="order.order_state == 20 || order.order_state == 40">
						<image src="@/pageE/static/mine/26.png"></image>
						<view>{{ order.add_time | date('yyyy-mm-dd hh:MM') }}</view>
					</view>
				</view>
			</view>
		</view>
		<view class="order-btn" v-if="[1, 2, 3, 4, 8, 11].indexOf(order.view_type) >= 0">
			 <!-- || order.view_type == 2 -->
			<view class="cancel" v-if="(order.view_type == 3) && order.is_refund == 1" @click="toOtherPage('RefundOrder')">申请退款</view>
			<view class="cancel" v-if="order.view_type == 3 && order.shipping_code" @click="toOtherPage('Logistics')">查看物流</view>
			<view class="logistics" v-if="order.view_type == 3" @click="confirmReceive">确认收货</view>
			<view class="comment" v-if="order.view_type == 4" @click="toOtherPage('Comment')">立即评价</view>
			<view class="cancel" v-if="order.view_type == 1" @click="cancelOrder">取消支付</view>
			<!-- <view class="cancel" v-if="order.view_type == 9" @click="cancelOrder">取消订单</view> -->
			<view class="phone" v-if="order.view_type == 3 && order.takeawayer_phone" @click="makePhone(order.takeawayer_phone)">
				<u-icon name="phone-fill" color="#FF780F" size="28"></u-icon>
				<text>联系骑手</text>
			</view>
			 <!-- || order.view_type == 9 -->
			<view class="payment" v-if="order.view_type == 1" @click="payNow(order.pay_sn, order.order_amount,order.order_id)">立即支付</view>
			<view class="service" v-if="order.view_type == 8">联系官方客服</view>
			<view class="submit" v-if="order.view_type == 8">提交官方审核</view>
		</view>
	</view>
</template>
<script>
import common from '@/static/js/common.js';
export default {
	data() {
		return {
			state: '',
		}
	},
	props: {
		order: Object
	},
	mounted() {
		this.viewState();
	},
	filters: {
		concatSpec(value) {
			let spec = '';
			for (const key in value) {
				if (value.hasOwnProperty(key)) {
					const element = value[key];
					spec = spec + element + ';'
				}
			}
			return spec;
		}
	},
	methods: {
		viewState() {
			let state;
			// console.log(this.order.view_type);
			switch (this.order.view_type) {
				case 1:
					state = '待支付';
					break;
				case 2:
					state = '待发货';
					break;
				case 3:
					state = '待收货';
					break;
				case 4:
					state = '待评价';
					break;
				case 5:
					state = '交易成功';
					break;
				case 6:
					state = '待退款';
					break;
				case 7:
					state = '已退款';
					break;
				case 9:
					state = '拼团中';
					break;
				case 10:
					state = '已取消';
					break;
				case 11:
					state = '已拒绝';
					break;	
				default:
					break;
			}
			// console.log(state);
			this.state = state;
		},
		cancelOrder() {
			this.$u.api.cancelOrder({
				order_id: this.order.order_id,
			}).then(res => {
				if(res.errCode == 0) {
					this.$emit("refreshOrderList");
				}
				this.$u.toast(res.message);
			})
		},
		confirmReceive() {
			this.$u.api.confirmReceive({
				order_id: this.order.order_id,
			}).then(res => {
				if(res.errCode == 0) {
					this.$emit("refreshOrderList");
				}
				this.$u.toast(res.message);
			})
		},
		toOtherPage(url) {
			this.$u.route('/pageE/order/' + url, {
				oid: this.order.order_id,
			});
		},
		payNow(pay_sn, order_amount, id) {
			this.$u.route('/pageC/cart/cashier', {
				pay_sn: pay_sn,
				price: order_amount,
                order_id: id
			});
		},
		makePhone(phone) {
			uni.makePhoneCall({
				phoneNumber: phone
			});
		}
	},
};
</script>
<style lang="scss" scoped>
.order-item {
	width: 690rpx;
	background: rgba(255,255,255,1);
	border-radius: 20rpx;
	padding: 30rpx;
	.order-title {
		display: flex;
		align-items: center;
		justify-content: space-between;
		margin-bottom: 20rpx;
		.store-info {
			display: flex;
			align-items: center;
			> image {
				width: 50rpx;
				height: 50rpx;
				border-radius: 50%;
				margin-right: 15rpx;
				background-color: aquamarine;
			}
			.store-name {
				font-size: 26rpx;
				color: rgba(51,51,51,1);
			}
		}
		.order-status {
			font-size: 28rpx;
			color: rgba(255,120,15,1);
		}
	}
	.goods-info {
		.goods-item {
			display: flex;
			margin-bottom: 28rpx;
			> image {
				flex-shrink: 0;
				width: 180rpx;
				height: 160rpx;
				border-radius: 10rpx;
				margin-right: 30rpx;
			}
			.goods-text {
				display: flex;
				flex-direction: column;
				justify-content: space-between;
				.goods-name {
					font-size: 28rpx;
					color: rgba(51,51,51,1);
					line-height: 38rpx;
				}
				.goods-sku {
					align-self: baseline;
					max-width: 230rpx;
					background: rgba(236,236,236,1);
					border-radius: 6rpx;
					padding: 10rpx 15rpx;
					font-size: 24rpx;
					color: rgba(153,153,153,1);
				}
				.goods-time {
					font-size: 24rpx;
					color: rgba(255,49,49,1);
				}
				.goods-price {
					font-size: 24rpx;
					color: rgba(253,211,96,1);
				}
				.goods-date {
					display: flex;
					align-items: center;
					font-size: 24rpx;
					color: rgba(153,153,153,1);
					> image {
						width: 24rpx;
						height: 24rpx;
						margin-right: 21rpx;
					}
				}
			}
		}
	}
	.order-btn {
		display: flex;
		justify-content: flex-end;
		@mixin btn-class($width, $color) {
			// width: $width;
			height: 60rpx;
			border: 2rpx solid $color;
			color: $color;
			border-radius: 30rpx;
			padding: 15rpx 23rpx;
			font-size: 28rpx;
			&:not(:last-child) {
				margin-right: 30rpx;
			}
		}
		.logistics, .comment, .payment {
			@include btn-class($width: 160rpx, $color: rgba(255,119,15,1));
		}
		.cancel {
			@include btn-class($width: 160rpx, $color: rgba(155,153,153,1));
		}
		.service {
			@include btn-class($width: 216rpx, $color: rgba(155,153,153,1));
		}
		.submit {
			@include btn-class($width: 216rpx, $color: rgba(255,119,15,1));
		}
		.phone {
			@include btn-class($width: 206rpx, $color: rgba(255,119,15,1));
			display: flex;
			align-items: center;
			justify-content: center;
			.u-icon {
				margin-right: 10rpx;
			}
		}
	}
}
</style>